> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# View all claims made by your customers

> Retrieve a list of claims based on query parameters.



## OpenAPI

````yaml get /api/v1/claims/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/claims/:
    get:
      tags:
        - Claims
      summary: View all claims made by your customers
      description: Retrieve a list of claims based on query parameters.
      operationId: list_claims
      parameters:
        - in: query
          name: claim_type
          schema:
            type: string
          description: Filter claims by product category
        - in: query
          name: customer_email
          schema:
            type: string
            format: email
        - in: query
          name: first_name
          schema:
            type: string
        - in: path
          name: id
          schema:
            type: string
          description: UUID of the claim
          required: true
        - in: query
          name: insurer
          schema:
            type: string
          description: Filter claims by insurer
        - in: query
          name: last_name
          schema:
            type: string
        - in: query
          name: phone_number
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Claim'
              examples:
                ListOfClaimsResponse:
                  value:
                    - count: 2
                      next: http://example.com/api/claims/?limit=20
                      previous: null
                      results:
                        - claim_id: d2d0c0b4-bf72-4a61-a02e-3ab896dd8bf7
                          claim_reference_number: CLAIM-20240813-5678
                          claim_status: approved
                          claim_date: '2024-08-13'
                          claimant:
                            customer_id: 71e1d8b4-c26b-4014-afcb-6f94a8adac1a
                            customer_name: Michael Smith
                            customer_email: michaelsmith@example.com
                            customer_phone: '+9876543210'
                          claim_amount: '3200.00'
                          insurer: Leadway Assurance
                          product:
                            name: Auto Insurance
                            product_type: Automobile
                          policy: dc4bf271-6491-3812-8f39-58d4ccf39b70
                          claim_status_timeline:
                            - time_stamp: '2024-08-13 08:45:00'
                              name: submitted
                            - time_stamp: '2024-08-13 10:00:00'
                              name: under review
                            - time_stamp: '2024-08-13 12:15:00'
                              name: pending approval
                            - time_stamp: '2024-08-13 14:30:00'
                              name: approved
                          notes: Claim approved and payment initiated.
                          documents:
                            - document_name: Claim Form
                              evidence_type: PDF
                              blob: base64encodedstring
                              uploaded_at: '2024-08-13T08:00:00Z'
                            - document_name: Medical Report
                              evidence_type: PDF
                              blob: base64encodedstring
                              uploaded_at: '2024-08-13T08:30:00Z'
                        - claim_id: d2d0c0b4-bf72-4a61-a02e-3ab896dd8bf7
                          claim_reference_number: CLAIM-20240813-5678
                          claim_status: approved
                          claim_date: '2024-08-13'
                          claimant:
                            customer_id: 71e1d8b4-c26b-4014-afcb-6f94a8adac1a
                            customer_name: Michael Smith
                            customer_email: michaelsmith@example.com
                            customer_phone: '+9876543210'
                          claim_amount: '3200.00'
                          insurer: Leadway Assurance
                          product:
                            name: Auto Insurance
                            product_type: Automobile
                          policy: dc4bf271-6491-3812-8f39-58d4ccf39b70
                          claim_status_timeline:
                            - time_stamp: '2024-08-13 08:45:00'
                              name: submitted
                            - time_stamp: '2024-08-13 10:00:00'
                              name: under review
                            - time_stamp: '2024-08-13 12:15:00'
                              name: pending approval
                            - time_stamp: '2024-08-13 14:30:00'
                              name: approved
                          notes: Claim approved and payment initiated.
                          documents:
                            - document_name: Claim Form
                              evidence_type: PDF
                              blob: base64encodedstring
                              uploaded_at: '2024-08-13T08:00:00Z'
                            - document_name: Medical Report
                              evidence_type: PDF
                              blob: base64encodedstring
                              uploaded_at: '2024-08-13T08:30:00Z'
                  summary: List of claims response
          description: List of claims
      security:
        - ClientKeyAuth: []
components:
  schemas:
    Claim:
      type: object
      description: |-
        Serializer for Claim instances.

        This serializer includes fields that are intended to be visible when
        retrieving or listing Claim objects. It provides a human-readable
        representation of the Claim, including status descriptions.
      properties:
        claim_id:
          type: string
          format: uuid
          readOnly: true
        claim_reference_number:
          type: string
        claim_status:
          type: string
        claim_date:
          type: string
          format: date
          readOnly: true
          title: Date at which a claim is created
        claimant:
          type: string
          readOnly: true
        claim_type:
          type: string
          readOnly: true
          nullable: true
        incident_date:
          type: string
          format: date
          nullable: true
          title: Date of Incident
        incident_description:
          type: string
          nullable: true
        claim_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        estimated_loss:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        amount_payable:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        insurer:
          type: string
        product:
          $ref: '#/components/schemas/ClaimProduct'
        policy:
          type: string
          format: uuid
          description: Unique identifier for the policy
        notes:
          type: string
          readOnly: true
          nullable: true
        documents:
          type: string
          readOnly: true
        claim_status_timeline:
          type: array
          items:
            $ref: '#/components/schemas/StatusTimeline'
          readOnly: true
      required:
        - amount_payable
        - claim_amount
        - claim_date
        - claim_id
        - claim_reference_number
        - claim_status
        - claim_status_timeline
        - claim_type
        - claimant
        - documents
        - insurer
        - notes
        - policy
        - product
    ClaimProduct:
      type: object
      description: Serilizes the metadata about the product category a claim belongs to
      properties:
        name:
          type: string
          description: Name of the package offered by the insurance provider
          maxLength: 255
        insurance_product_type:
          type: string
      required:
        - insurance_product_type
        - name
    StatusTimeline:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/StatusTimelineStatusEnum'
        time_stamp:
          type: string
          format: date-time
      required:
        - status
        - time_stamp
    StatusTimelineStatusEnum:
      enum:
        - accepted
        - approved
        - pending
        - denied
        - paid
        - offer_sent
        - offer_accepted
      type: string
      description: |-
        * `accepted` - Accepted
        * `approved` - Approved
        * `pending` - Pending
        * `denied` - Rejected
        * `paid` - Paid
        * `offer_sent` - Offer sent
        * `offer_accepted` - Offer accepted
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````